WordPress.org

Ready to get started?Download WordPress

Forums

Secure-Admin Plugin Not Working In PHP 5.2.1 (6 posts)

  1. fredclown
    Member
    Posted 7 years ago #

    I'm trying to use the secure-admin plugin on an Windows 2003 IIS 6 box. I'm using WordPress 2.1.2. When I go to activate the plugin I just get a blank page (in both the admin area and the general blog area). I had it working on one box but it wouldn't work on another box, and I finally realized that the version of PHP was different. If I activate the plugin using the PHP 5.1.6 box it works great, but on the PHP 5.2.1 it doesn't work. Also when I put 5.2.1 on the 5.1.6 box it stops working, so it does seem to be the version of PHP. I would really like to use PHP 5.2.1 since it is the newest version. As far as I can tell I have the 5.1.6 and the 5.2.1 boxes set up pretty much the same with pretty much the same options. Anybody else having this problem or anybody with some thoughts on this issue?

  2. fredclown
    Member
    Posted 7 years ago #

    Turns out this is an issue with PHP 5.2.1. I guess this newest version broke this plugin and others due to some changes they made. Any body out there with thoughts on this? Has anybody been able to solve this issue?

  3. fredclown
    Member
    Posted 7 years ago #

    This is the response that I received from the guy who fixed the original plugin. His fixed version worked great until PHP 5.2.1.

    "I'm afraid there seems to be a problem with PHP 5.2.1. Any plugins that filter content have broken due to a change in PHP.

    Not sure what needs to be done at the moment, if I find a solution I'll post it to the blog."

    Anybody have any ideas on how to get this plugin working in PHP 5.2.1? I'm sure I'm not the only person that has had this issue.

    This is the download site for the fixed version.

  4. HarisTV
    Member
    Posted 7 years ago #

    Hi fredclown,

    I've fixed the issue with PHP 5.2.1 and the download file has been updated to version 0.2(59)

    See here:
    http://haris.tv/2007/01/11/wordpress-ssl-plugin-secure-admin-patched-and-working/#comment-2726

    PS. The file is available on the same page

    Regards

    Haris
    ---------------
    http://haris.tv

  5. fredclown
    Member
    Posted 7 years ago #

    You so totally rock!!

  6. HarisTV
    Member
    Posted 7 years ago #

    You're welcome :)

Topic Closed

This topic has been closed to new replies.

About this Topic